Modify

Opened 4 years ago

Closed 3 years ago

#17389 closed defect (moved_to_github)

Prosody and LuaExpat warning and error

Reported by: yann-kaelig Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc:

Description

## Info

Openwrt release: CHAOS CALMER ( Bleeding Edge, r41945)
Modem/router: WDR4900 v1.3

Package: prosody
Version: 0.9.4-1
Architecture: mpc85xx

Package: luaexpat
Version: 1.2.0-1
Architecture: mpc85xx

## Description

Starting prosody xmpp server with command line "/etc/init.d/prosody start" failed with message error

general error The version of LuaExpat on your system does not support stanza size limits, which may leave servers on untrusted networks (e.g the internet) vulnerable to denial-of-service attacks. You should upgrade to LuaExpat 1.3.0 or higher as soon as possible. See http://prosody.im/doc/depends#luaexpat for more information

lua: symbol 'posix_fallocate': can't resolve symbol in lib '/usr/lib/prosody/util/pposix.so'.
Error: Unable to load pposix module. Check that prosody is installed correctly.
For more help send the below error to us through http://prosody.im/discuss
error loading module 'util.pposix' from file '/usr/lib/prosody/util/pposix.so': (null)

## Reproducible

Always

Attachments (0)

Change History (3)

comment:1 Changed 3 years ago by anonymous

I have the same error on a different architecture

for the LuaExpat 1.3.0 you can upgrade donwloading it from the snapshot:
http://downloads.openwrt.org/snapshots/trunk/mpc85xx/packages/packages/luaexpat_1.3.0-1_mpc85xx.ipk

we need to wait the developers to fix the second message:

error loading module 'util.pposix' from file '/usr/lib/prosody/util/pposix.so':

comment:2 Changed 3 years ago by anonymous

Has this been fixed, is it going to be fixed?--

"error loading module 'util.pposix' from file '/usr/lib/prosody/util/pposix.so':(null)"

I got it while trying to use prosodyctl on prosody_0.9.7-2_cns3xxx on OpenWRT ChaosCalmer

comment:3 Changed 3 years ago by nbd

  • Resolution set to moved_to_github
  • Status changed from new to closed

prosody is maintained here: https://github.com/openwrt/packages
feel free to open up a ticket there.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.